SDL_SetSurfaceRLE(3)

NAME
SDL_SetSurfaceRLE - Set the RLE acceleration hint for a surface.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_SetSurfaceRLE(SDL_Surface *surface, bool enabled);

DESCRIPTION
If RLE is enabled, color key and alpha blending blits are much faster, but the surface must be locked before directly accessing the pixels.

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to optimize.

enabled
    true to enable RLE acceleration, false to disable it.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function can be called on different threads with different surfaces.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_BlitSurface(3), SDL_LockSurface(3), SDL_UnlockSurface(3)